﻿@model AspNetCore.Models.Student

@{
    ViewData["Title"] = "Edit";
}

<h2>Edit</h2>

<h4>Student</h4>
<hr />

@if (Model.Picture != null)
{
    <img src=@Url.Action("GetImageFile", "Students", new { studentId = Model.Id }) height="100" />
    <a asp-controller="Students" asp-action="GetImageFile" asp-route-studentId="@Model.Id" >Image</a>
}
<div class="row">
    <div class="col-md-4">
        <form asp-action="Edit" enctype="multipart/form-data">
            <div asp-validation-summary="All" class="text-danger"></div>
            @*
                asp-for annab mulle antud mudeli mingi väärtuse
                    antud juhtul Id väärtuse
            *@
            <input type="hidden" asp-for="Id" />
            <div class="form-group">
                @*
                    asp-for="FirstName" Anna mulle välja FirstName nimetus
                *@
                <label asp-for="FirstName" class="control-label"></label>
                @*
                    <input type="text" id="FirstName"
                       name="FirstName" value="Aadu" />
                *@
                <input asp-for="FirstName" class="form-control" />

            </div>
            <div class="form-group">
                <label asp-for="LastName" class="control-label"></label>
                <input asp-for="LastName" class="form-control" />
                <span asp-validation-for="LastName" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Age" class="control-label"></label>
                <input asp-for="Age" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="IsMarried" class="control-label"></label>
                @*<input asp-for="IsMarried" class="form-control" />*@
                @*
                    @Html.EditorFor(model => model.IsMarried)
                    on sama mis
                    <input asp-for="IsMarried" class="form-control" />
                *@
                @Html.EditorFor(model => model.IsMarried)
                <span asp-validation-for="IsMarried" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="IsBlind" class="control-label"></label>
                <input asp-for="IsBlind" />
                <span asp-validation-for="IsBlind" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Picture" class="control-label"></label>
                <input type="file" name="Picture" id="Picture" />
                <span asp-validation-for="Picture" class="text-danger"></span>
            </div>


            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-default" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

